Subject: Re: bug#65803: 29.1; Noto Sans Mono CJK JP has doubled-width on Windows

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Sep 2023 16:50:24 +0300

> From: Shingo Tanaka <[email-masked]>
> Date: Thu, 7 Sep 2023 22:38:32 +0900
> 
> (set-face-attribute 'default nil :font "Noto Sans Mono CJK JP")
> makes frame pixel width 2x larger than ascii char width on Windows
> 10/11.  This also makes tabulated-list unaligned as you can see in
> (list-buffers).

Thanks, but what do you mean by "ascii char width"?  Do you mean that
character glyphs on Noto Sans Mono CJK JP are two times wider than
ASCII characters of some other font?  If so, why is it a problem that
glyphs of one font are wider than glyphs of another?

Or maybe I misunderstand the issue?  Could you post a screenshot of
the display with mis-aligned buffer list, so we could see what you are
talking about?